LLM Sessions
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's LLM sessions
GET /api/v2/strategy/llm-session HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's LLM sessions
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the strategy
12The main LLM Api key id used for the strategy
14The fallback LLM Api key id used for the strategy if main is not available
15The schedule interval of the strategy
5MPossible values: Set true if you want to send chart image with the strategy prompt
trueThe Tradingview symbol of the chart (required if use_chart is true)
BINANCE:BTCUSDTThe interval of the chart (required if use_chart is true)
5Possible values: The data range of the chart (optional if use_chart is true)
1DPossible values: The strategy prompt minimum length is 20 characters maximum length is 1000000000 characters
Generate a report about the current market conditionsSet true to send signal to bot hook
trueThe id of the bot hook where signal will be sent (required if send_signal is true)
12The signal symbol or symbols of the strategy separated by comma
BTCUSDT,ETHUSDTSet true to send the LLM response to the user email
trueLLM session created successfully
Missing required fields, invalid configuration, or session limit reached
Session limit reached
Package or LLM API not found
POST /api/v2/strategy/llm-session HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 405
{
"name": "My strategy",
"folder_id": 12,
"llm_api_id": 14,
"fallback_api_id": 15,
"cron_interval": "5M",
"use_chart": true,
"chart_symbol": "BINANCE:BTCUSDT",
"chart_interval": "5",
"chart_studies": [
"RSI@tv-basicstudies",
"MACD@tv-basicstudies"
],
"chart_data_range": "1D",
"prompt": "Generate a report about the current market conditions",
"send_signal": true,
"webhook_id": 12,
"signal_symbol": "BTCUSDT,ETHUSDT",
"send_email": true
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Number of LLM Sessions
10GET /api/v2/strategy/llm-session/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Number of LLM Sessions
{
"total": 10
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
LLM session details
Missing id
Session not found
GET /api/v2/strategy/llm-session/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the strategy
12The main LLM Api key id used for the strategy
14The fallback LLM Api key id used for the strategy if main is not available
15The schedule interval of the strategy
5MPossible values: Set true if you want to send chart image with the strategy prompt
trueThe Tradingview symbol of the chart (required if use_chart is true)
BINANCE:BTCUSDTThe interval of the chart (required if use_chart is true)
5Possible values: The data range of the chart (optional if use_chart is true)
1DPossible values: The strategy prompt minimum length is 20 characters maximum length is 1000000000 characters
Generate a report about the current market conditionsSet true to send signal to bot hook
trueThe id of the bot hook where signal will be sent (required if send_signal is true)
12The signal symbol or symbols of the strategy separated by comma
BTCUSDT,ETHUSDTSet true to send the LLM response to the user email
trueLLM session updated successfully
SuccessMissing id, invalid configuration, or validation errors
Session, webhook, or LLM API not found
PUT /api/v2/strategy/llm-session/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 405
{
"name": "My strategy",
"folder_id": 12,
"llm_api_id": 14,
"fallback_api_id": 15,
"cron_interval": "5M",
"use_chart": true,
"chart_symbol": "BINANCE:BTCUSDT",
"chart_interval": "5",
"chart_studies": [
"RSI@tv-basicstudies",
"MACD@tv-basicstudies"
],
"chart_data_range": "1D",
"prompt": "Generate a report about the current market conditions",
"send_signal": true,
"webhook_id": 12,
"signal_symbol": "BTCUSDT,ETHUSDT",
"send_email": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
LLM session deleted successfully
SuccessMissing id
Session not found
DELETE /api/v2/strategy/llm-session/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Session ID to duplicate
LLM session duplicated successfully
Missing id or session limit reached
POST /api/v2/strategy/llm-session/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13
{
"id": "text"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to reset triggers
trueSet true to reset storage
trueSet true to reset response history
trueTriggers and/or history reset successfully
SuccessMissing id, invalid options, or nothing to reset
Session not found
PUT /api/v2/strategy/llm-session/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"resetTriggers": true,
"resetStorage": true,
"resetResponse": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing id, invalid status, or session limit reached
Active session limit reached
Session not found
PUT /api/v2/strategy/llm-session/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to make the strategy public
truePublic visibility updated successfully
SuccessMissing id or invalid public flag
Session not found
PUT /api/v2/strategy/llm-session/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"isPublic": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's LLM session folders
GET /api/v2/strategy/llm-session/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's LLM session folders
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder name (optional, auto-generated if not provided)
Folder created successfully
Invalid name or max folder limit reached
POST /api/v2/strategy/llm-session/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List
GET /api/v2/strategy/llm-session/folder/root HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
Folder with its items
Missing id
Folder not found
GET /api/v2/strategy/llm-session/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
New folder name (optional, auto-generated if not provided)
Folder updated successfully
Missing id, invalid name, or folder not found
Folder not found
PUT /api/v2/strategy/llm-session/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"message": "text"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
Folder deleted successfully
Missing id, folder not found, or folder is not empty
Folder not found
DELETE /api/v2/strategy/llm-session/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "text"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Number of LLM Reactions
10GET /api/v2/strategy/reaction/llm/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Number of LLM Reactions
{
"total": 10
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Number of Code Reactions
10GET /api/v2/strategy/reaction/code/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Number of Code Reactions
{
"total": 10
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Number of Code Strategies
10GET /api/v2/strategy/code/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Number of Code Strategies
{
"total": 10
}Last updated